# Uses of Interface
org.apache.avro.util.ClassSecurityValidator.ClassSecurityPredicate

Packages that use ClassSecurityValidator.ClassSecurityPredicate
Package
Description
org.apache.avro.util
Common utility classes.

## Uses of ClassSecurityValidator.ClassSecurityPredicate in org.apache.avro.util

Classes in org.apache.avro.util that implement ClassSecurityValidator.ClassSecurityPredicate
Modifier and Type
Class
Description
`static class`
`ClassSecurityValidator.SystemPropertiesPredicate`
Fields in org.apache.avro.util declared as ClassSecurityValidator.ClassSecurityPredicate
Modifier and Type
Field
Description
`static final ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.`DEFAULT`
The default predicate that uses both the system properties and the hard-coded trusted classes.
`static final ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.`DEFAULT_TRUSTED_CLASSES`
A couple of trusted classes that are safe to be loaded, instantiated with any constructors or alter any internals via reflection.
`static final ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.`SYSTEM_PROPERTIES`
The predicate that uses the system properties "org.apache.avro.SERIALIZABLE_CLASSES" and "org.apache.avro.SERIALIZABLE_PACKAGES".
Methods in org.apache.avro.util that return ClassSecurityValidator.ClassSecurityPredicate
Modifier and Type
Method
Description
`ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.Builder.`build()`
`static ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.`composite(ClassSecurityValidator.ClassSecurityPredicate... validators)`
Creates a composite `ClassSecurityValidator` that delegates to the given validators.
`static ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.`getGlobal()`
Returns the global `ClassSecurityValidator.ClassSecurityPredicate` that is used by `ClassUtils` to validate the trusted classes.
Methods in org.apache.avro.util with parameters of type ClassSecurityValidator.ClassSecurityPredicate
Modifier and Type
Method
Description
`static ClassSecurityValidator.ClassSecurityPredicate`
ClassSecurityValidator.`composite(ClassSecurityValidator.ClassSecurityPredicate... validators)`
Creates a composite `ClassSecurityValidator` that delegates to the given validators.
`static void`
ClassSecurityValidator.`setGlobal(ClassSecurityValidator.ClassSecurityPredicate validator)`
Sets the global `ClassSecurityValidator.ClassSecurityPredicate` that is used by `ClassUtils` to validate the trusted classes.